---
title: "Analítica"
source: /es/gcxone/api/analytics
locale: es
updated: 2026-09-04
---
Operaciones sobre recursos de analítica. 4 puntos finales, cada uno relativo a `https://api.nxgen.cloud/api/v1` y autenticado según lo descrito en [Autenticación](/gcxone/api/authentication).

## POST /analytics/detect

Servicio de Analítica IA

### Cuerpo de la Solicitud

Parámetros de la Solicitud de Analítica

```json
{
  "analytics": "string",
  "version": "string",
  "routeName": "string",
  "meta": {
    "useDeviceMetadataBoxes": "boolean",
    "useObjectDetector": "boolean",
    "useMotionDetection": "boolean",
    "useLicensePlateDetection": "boolean",
    "useFaceRecognition": "boolean",
    "personConfidenceThreshold": "number",
    "carConfidenceThreshold": "number",
    "animalConfidenceThreshold": "number",
    "licensePlateConfidenceThreshold": "number",
    "faceConfidenceThreshold": "number",
    "motionThreshold": "integer",
    "motionMinBBoxWidth": "integer",
    "motionMinBBoxHeight": "integer",
    "modality": "string",
    "roi": [
      [
        "integer"
      ]
    ],
    "useHistogramEqualization": "boolean",
    "saveDebugImages": "boolean",
    "carMinArea": "integer",
    "personMinArea": "integer",
    "animalMinArea": "integer",
    "licensePletMinArea": "integer",
    "faceMinArea": "integer"
  },
  "frames": [
    {
      "imageUrl": "string",
      "meta": {
        "deviceMetadataBoxes": [
          "…"
        ]
      }
    }
  ]
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito |  |
| 204 | Sin contenido |  |
| 401 | No autorizado |  |
| 403 | Prohibido |  |
| 404 | No Encontrado |  |

Ejemplo `200` respuesta:

```json
{
  "dataResult": [
    {
      "eventid": "",
      "personConfidenceThreshold": 0.5,
      "carConfidenceThreshold": 0.5,
      "animalConfidenceThreshold": 0.5,
      "hasPerson": true,
      "hasCar": true,
      "hasAnimal": false,
      "full_frame_detections": [
        {
          "x": 1289,
          "y": 189,
          "width": 235,
          "height": 543,
          "frameIdx": 1,
          "confidence": 0.99912816,
          "label": "person"
        },
        {
          "x": 6,
          "y": 316,
          "width": 440,
          "height": 369,
          "frameIdx": 1,
          "confidence": 0.9997342,
          "label": "car"
        },
        {
          "x": 8,
          "y": 317,
          "width": 436,
          "height": 368,
          "frameIdx": 2,
          "confidence": 0.9997941,
          "label": "car"
        }
      ],
      "device_bboxes": [],
      "motion_locations": []
    }
  ],
  "totalRecordsCount": 15
}
```

## POST /analytics/manage

eliminar Programa

### Cuerpo de la Solicitud

Parámetros de la Solicitud de Analítica

```json
{
  "type": "string (required)",
  "action": "string",
  "oldExpression": "string (required)",
  "newExpression": "string",
  "spid": "string",
  "hierarchyLevel": "string",
  "hierarchyIds": [
    "string"
  ]
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito |  |
| 204 | Sin contenido |  |
| 401 | No autorizado |  |

## POST /analytics/schedule

config Schedule

### Cuerpo de la Solicitud

Parámetros de la Solicitud de Analítica

```json
{
  "type": "string",
  "action": "string (required)",
  "spid": "string (required)",
  "hierarchyIds": [
    "string"
  ],
  "hierarchyLevel": "string (required)",
  "expression": "string"
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito |  |
| 204 | Sin contenido |  |
| 401 | No autorizado |  |

## POST /analytics/update

Actualizar programación

### Cuerpo de la Solicitud

Parámetros de la Solicitud de Analítica

```json
{
  "entityType": "string",
  "entityId": "string",
  "serviceProviderId": "string",
  "analyticType": "string",
  "oldExpression": "string",
  "newExpression": "string",
  "isActive": "boolean",
  "overwriteCustomSchedule": "string",
  "analyticAction": "string",
  "runOnce": "boolean"
}
```

### Respuestas

| Estado | Descripción | Cuerpo |
| --- | --- | --- |
| 200 | Éxito |  |
| 204 | Sin contenido |  |
| 401 | No autorizado |  |

Ejemplo `200` respuesta:

```json
{
  "isSuccess": true
}
```